2017-11-24 09:11 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002747OpenFOAM[All Projects] Bugpublic2017-11-03 15:21
Reporterwyldckat 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Version5.x 
Summary0002747: 'decomposedBlockData.C' is not compiling with 64-bit labels
DescriptionError message is given in the "Additional Information" section below.

The recent changes to 'src/OpenFOAM/db/IOobjects/decomposedBlockData/decomposedBlockData.C' have made it not possible to build with 64-bit flags.
I suspect that this has also affected OpenFOAM 5.x, but I haven't tried it out yet.

I started looking into this yesterday, but I ended up not being able to figure out how to fix this.
As far as I can figure out, there are several arguments that are hard-coded in 'UPstream::gather' to use 'int', which are defined as 'label' in 'decomposedBlockData::gather', hence the problem.
Additional Informationdb/IOobjects/decomposedBlockData/decomposedBlockData.C: In static member function ‘static void Foam::decomposedBlockData::gather(Foam::label, Foam::label, Foam::labelList&)’:
db/IOobjects/decomposedBlockData/decomposedBlockData.C:625:5: error: no matching function for call to ‘Foam::UPstream::gather(const char*, long unsigned int, char*&, Foam::labelList&, Foam::labelList&, const label&)’
     );
     ^
In file included from lnInclude/Pstream.H:42:0,
                 from lnInclude/IOobjectTemplates.C:30,
                 from lnInclude/IOobject.H:525,
                 from lnInclude/regIOobject.H:41,
                 from lnInclude/IOList.H:39,
                 from db/IOobjects/decomposedBlockData/decomposedBlockData.H:38,
                 from db/IOobjects/decomposedBlockData/decomposedBlockData.C:26:
lnInclude/UPstream.H:530:21: note: candidate: static void Foam::UPstream::gather(const char*, int, char*, const Foam::UList<int>&, const Foam::UList<int>&, Foam::label)
         static void gather
                     ^
lnInclude/UPstream.H:530:21: note: no known conversion for argument 4 from ‘Foam::labelList {aka Foam::List<long int>}’ to ‘const Foam::UList<int>&’
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008994

MattijsJ (reporter)

Attached compiles correctly.

~0008998

henry (manager)

Resolved in OpenFOAM-5.x by commit 538044ac05c4672b37c7df607dca1116fa88df88

Resolved in OpenFOAM-dev by commit a331fbe51aa091bd440b0d039fd2fe5ab96147bd
+Notes

-Issue History
Date Modified Username Field Change
2017-11-02 10:18 wyldckat New Issue
2017-11-03 11:07 MattijsJ File Added: decomposedBlockData.C
2017-11-03 11:08 MattijsJ Note Added: 0008994
2017-11-03 15:21 henry Assigned To => henry
2017-11-03 15:21 henry Status new => resolved
2017-11-03 15:21 henry Resolution open => fixed
2017-11-03 15:21 henry Fixed in Version => 5.x
2017-11-03 15:21 henry Note Added: 0008998
+Issue History